%define anolis_release 2

%global modname dbusmock

Name:             python-%{modname}
Version:          0.28.7
Release:          %{anolis_release}%{?dist}
Summary:          Mock D-Bus objects

License:          LGPLv3+
URL:              https://pypi.python.org/pypi/python-dbusmock
Source0:          https://files.pythonhosted.org/packages/source/p/%{name}/%{name}-%{version}.tar.gz

BuildArch:        noarch
BuildRequires:    gcc cmake
BuildRequires:    python3-dbus
BuildRequires:    python3-devel
BuildRequires:    python3-gobject
BuildRequires:    dbus-x11
BuildRequires:    upower


%global _description\
With this program/Python library you can easily create mock objects on\
D-Bus. This is useful for writing tests for software which talks to\
D-Bus services such as upower, systemd, ConsoleKit, gnome-session or\
others, and it is hard (or impossible without root privileges) to set\
the state of the real services to what you expect in your tests.

%description %_description

%package -n python3-dbusmock
Summary: %summary (Python3)
Requires:         python3-dbus, python3-gobject, dbus-x11
%description -n python3-dbusmock %_description

%package -n     python3-dbusmock-doc
Summary:        doc files for python3-dbusmock
Requires:       python3-dbusmock = %{version}-%{release}

%description -n python3-dbusmock-doc
doc files for python3-dbusmock

%prep
%autosetup -n %{name}-%{version} -p1

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install

%check
%{__python3} -m unittest -v

%files -n python3-dbusmock
%doc COPYING
%{python3_sitelib}/*%{modname}*

%files -n python3-dbusmock-doc
%doc README.md

%changelog
* Wed Mar 13 2024 Zhao Hang <wb-zh951434@alibaba-inc.com> - 0.28.7-2
- Rebuild with python3.11

* Mon Mar 20 2023 mgb01105731 <mgb01105731@alibaba-inc.com> - 0.28.7-1
- Init upstream from version 0.28.7
